Bug 106303 - reiserfs-utils bad source code
reiserfs-utils bad source code
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: reiserfs-utils (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-05 05:10 EDT by d.binderman
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 13:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-10-05 05:10:46 EDT
Description of problem:

Hello there,

I just tried to compile package reiserfs-utils-3.6.4-5,
from Redhat 9.0, with compiler flag -Wall.

The compiler said

mkreiserfs.c:522: warning: operation on `program_name' may be undefined
tune.c:217: warning: operation on `program_name' may be undefined

These two look like two really basic programming errors to me.

Well worth fixing from

    program_name = program_name ? ++ program_name : argv[ 0 ];

to

    program_name = program_name ? (program_name + 1) : argv[ 0 ];



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.